Parameters
JSON body
Request body
application/jsonroomIdstringRequired24-char room id.
Length: 24–24
messageIdstringRequired24-char message id.
Length: 24–24
locale"cs" | "sk" | "en" | "de" | "pl" | "it"RequiredGemini through the private team chat AI path: the text is never logged or written to ai__question. Cached 24 h in Redis. Max 120 per member per hour.
JSON body
roomIdstringRequired24-char room id.
messageIdstringRequired24-char message id.
locale"cs" | "sk" | "en" | "de" | "pl" | "it"Required1 status code documented
textstringRequiredsourceLanguagestringRequiredsameLanguagebooleanRequired{
"text": "example_text",
"sourceLanguage": "example_sourceLanguage",
"sameLanguage": false
}POST /bff/team-chat/translate
curl -X POST "https://api.bizkithub.com/bff/team-chat/translate" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"roomId": "example_roomId",
"messageId": "example_messageId"
}'All BizKitHub public API endpoints require authentication via API key.